%global         srcname     azure-keyvault

Name:           python-%{srcname}
Version:        1.1.0
Release:        3%{?dist}
Summary:        Microsoft Azure Key Vault Client Libraries for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}
Patch0:         python-azure-keyvault-remove-nspkg.patch

Epoch:          1

BuildArch:      noarch

Obsoletes:      python-azure-sdk < 5.0.1

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  pyproject-rpm-macros


%global _description %{expand:
Microsoft Azure Key Vault Client Libraries for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -p0 -n %{srcname}-%{version}

# Remove the custom wheel builder.
rm -fv azure_bdist_wheel.py


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install

# PEP 420 allows implicit namespace packaging without additional __init__.py
# files. Remove unneccessary __init__.py that conflicts with other packages.
rm -rf %{buildroot}%{python3_sitelib}/azure/{__init__.py,__pycache__}


%files -n python3-%{srcname}
%doc README.rst HISTORY.rst
%{python3_sitelib}/azure/keyvault
%{python3_sitelib}/azure_keyvault-%{version}.dist-info


%changelog
* Mon Jul 26 2021 Major Hayden <major@mhtx.net> - 1:1.1.0-3
- Remove conflicting namespace package files.

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:1.1.0-2
- Add epoch number for 1.1.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 1.1.0-1
- Downgrade to 1.1.0

* Tue Jun 01 2021 Major Hayden <major@mhtx.net> - 4.1.0
- First package.
